package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 提款申请记录验收单物料信息
 * 表名 : t_draw_apply_order_detail
 * </pre>
 * @author: Mybatis Generator
 */
public class DrawApplyOrderDetail {
    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order_detail.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 订单明细编号
     * 表字段 : t_draw_apply_order_detail.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order_detail.order_code
     * </pre>
     */
    private String orderCode;

    /**
     * <pre>
     * 规格
     * 表字段 : t_draw_apply_order_detail.specifications
     * </pre>
     */
    private String specifications;

    /**
     * <pre>
     * 产品名称
     * 表字段 : t_draw_apply_order_detail.name
     * </pre>
     */
    private String name;

    /**
     * <pre>
     * 型号
     * 表字段 : t_draw_apply_order_detail.cmp_code
     * </pre>
     */
    private String cmpCode;

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order_detail.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order_detail.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 订单明细编号
     * 表字段 : t_draw_apply_order_detail.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 订单明细编号
     * 表字段 : t_draw_apply_order_detail.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order_detail.order_code
     * </pre>
     */
    public String getOrderCode() {
        return orderCode;
    }

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order_detail.order_code
     * </pre>
     */
    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode == null ? null : orderCode.trim();
    }

    /**
     * <pre>
     * 规格
     * 表字段 : t_draw_apply_order_detail.specifications
     * </pre>
     */
    public String getSpecifications() {
        return specifications;
    }

    /**
     * <pre>
     * 规格
     * 表字段 : t_draw_apply_order_detail.specifications
     * </pre>
     */
    public void setSpecifications(String specifications) {
        this.specifications = specifications == null ? null : specifications.trim();
    }

    /**
     * <pre>
     * 产品名称
     * 表字段 : t_draw_apply_order_detail.name
     * </pre>
     */
    public String getName() {
        return name;
    }

    /**
     * <pre>
     * 产品名称
     * 表字段 : t_draw_apply_order_detail.name
     * </pre>
     */
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    /**
     * <pre>
     * 型号
     * 表字段 : t_draw_apply_order_detail.cmp_code
     * </pre>
     */
    public String getCmpCode() {
        return cmpCode;
    }

    /**
     * <pre>
     * 型号
     * 表字段 : t_draw_apply_order_detail.cmp_code
     * </pre>
     */
    public void setCmpCode(String cmpCode) {
        this.cmpCode = cmpCode == null ? null : cmpCode.trim();
    }
}